## epics-base 7.0.7+dfsg1

=== configure/Makefile ===
#*************************************************************************
# Copyright (c) 2002 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution. 
#*************************************************************************

TOP=..

include $(TOP)/configure/CONFIG

# Bootstrap resolution: tools not installed yet
TOOLS = $(TOP)/src/tools

CONFIGS += $(subst ../,,$(wildcard ../CONFIG*))
CONFIGS += $(subst ../,,$(wildcard ../os/CONFIG.*))
CONFIGS += $(subst ../,,$(wildcard ../os/CONFIG_SITE.*))

CONFIGS += $(subst ../,,$(wildcard ../RELEASE*))
CONFIGS += $(subst ../,,$(wildcard ../RULES*))

CFG += CONFIG_LIBCOM_MODULE
CFG += CONFIG_LIBCOM_VERSION

CFG += CONFIG_CA_MODULE
CFG += CONFIG_CA_VERSION

CFG += CONFIG_DATABASE_MODULE
CFG += CONFIG_DATABASE_VERSION

CFG += TOOLCHAIN.$(EPICS_HOST_ARCH).$(T_A)

include $(TOP)/configure/RULES

TOOLCHAIN.$(EPICS_HOST_ARCH).$(T_A): toolchain.c
	$(PREPROCESS.cpp)

=== documentation/Makefile ===
TOP = ..
include $(TOP)/configure/CONFIG

ifeq ($(T_A),$(EPICS_HOST_ARCH))

DOXYGEN=doxygen

EXPAND = Doxyfile@

EXPAND_ME += EPICS_VERSION
EXPAND_ME += EPICS_REVISION
EXPAND_ME += EPICS_MODIFICATION
EXPAND_ME += EPICS_PATCH_LEVEL
EXPAND_ME += OS_CLASS CMPLR_CLASS

ME = documentation/O.$(T_A)/html
GH_FILES = $(ME)/ $(ME)/.nojekyll $(ME)/*.* $(ME)/*/*.*

install: doxygen

doxygen: Doxyfile ../mainpage.dox
	$(DOXYGEN)
	rsync -av $(TOP)/html/ html/

.PHONY: doxygen

commit: doxygen
	$(TOUCH) html/.nojekyll
	(cd $(TOP) && $(CURDIR)/../commit-gh.sh $(GH_FILES))

.PHONY: commit

endif # EPICS_HOST_ARCH

include $(TOP)/configure/RULES

=== modules/Makefile ===
#*************************************************************************
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ..
include $(TOP)/configure/CONFIG
include CONFIG_SITE.local

DIRS += libcom

DIRS += ca
ca_DEPEND_DIRS = libcom

DIRS += database
database_DEPEND_DIRS = ca

# Submodules for bundle build
SUBMODULES += pvData
pvData_DEPEND_DIRS = libcom

SUBMODULES += pvAccess
pvAccess_DEPEND_DIRS = pvData database

SUBMODULES += normativeTypes
normativeTypes_DEPEND_DIRS = pvData

SUBMODULES += pvaClient
pvaClient_DEPEND_DIRS = pvAccess normativeTypes

SUBMODULES += pvDatabase
pvDatabase_DEPEND_DIRS = pvAccess

SUBMODULES += pva2pva
pva2pva_DEPEND_DIRS = pvAccess

SUBMODULES += example
example_DEPEND_DIRS = pva2pva pvaClient

# Allow sites to add extra submodules
-include Makefile.local

include $(TOP)/configure/RULES_MODULES

=== test/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ..
include $(TOP)/configure/CONFIG

DIRS += tools

include $(TOP)/configure/RULES_DIRS

=== modules/libcom/test/Makefile ===
#*************************************************************************
# Copyright (c) 2006 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../../..
include $(TOP)/configure/CONFIG

PROD_LIBS += Com
PROD_SYS_LIBS_WIN32 += ws2_32 advapi32 user32
PROD_SYS_LIBS_solaris += socket nsl

PROD_SRCS_RTEMS += rtemsTestData.c

ifeq ($(EPICS_HOST_ARCH),$(T_A))
# skip except for host arch due to custom .plt

TESTPROD_HOST += epicsUnitTestTest
epicsUnitTestTest_SRCS += epicsUnitTestTest.c
# Not much point running this on vxWorks or RTEMS...
TESTS += epicsUnitTestTest

endif

TESTPROD_HOST += epicsTypesTest
epicsTypesTest_SRCS += epicsTypesTest.cpp
testHarness_SRCS += epicsTypesTest.cpp
TESTS += epicsTypesTest

TESTPROD_HOST += epicsInlineTest
epicsInlineTest_SRCS += epicsInlineTest1.c
epicsInlineTest_SRCS += epicsInlineTest2.c
epicsInlineTest_SRCS += epicsInlineTest3.cpp
epicsInlineTest_SRCS += epicsInlineTest4.cpp
testHarness_SRCS += $(epicsInlineTest_SRCS)
TESTS += epicsInlineTest

TESTPROD_HOST += epicsCalcTest
epicsCalcTest_SRCS += epicsCalcTest.cpp
testHarness_SRCS += epicsCalcTest.cpp
TESTS += epicsCalcTest

TESTPROD_HOST += epicsAlgorithmTest
epicsAlgorithmTest_SRCS += epicsAlgorithmTest.cpp
testHarness_SRCS += epicsAlgorithmTest.cpp
TESTS += epicsAlgorithmTest

TESTPROD_HOST += epicsMathTest
epicsMathTest_SRCS += epicsMathTest.c
testHarness_SRCS += epicsMathTest.c
TESTS += epicsMathTest

TESTPROD_HOST += epicsMMIOTest
epicsMMIOTest_SRCS += epicsMMIOTest.c
testHarness_SRCS += epicsMMIOTest.c
TESTS += epicsMMIOTest

TESTPROD_HOST += epicsEllTest
epicsEllTest_SRCS += epicsEllTest.c
testHarness_SRCS += epicsEllTest.c
TESTS += epicsEllTest

TESTPROD_HOST += epicsEnvTest
epicsEnvTest_SRCS += epicsEnvTest.c
testHarness_SRCS += epicsEnvTest.c
TESTS += epicsEnvTest

TESTPROD_HOST += epicsEnvUnsetTest
epicsEnvUnsetTest_SRCS += epicsEnvUnsetTest.c
testHarness_SRCS += epicsEnvUnsetTest.c
TESTS += epicsEnvUnsetTest

TESTPROD_HOST += epicsErrlogTest
epicsErrlogTest_SRCS += epicsErrlogTest.c
testHarness_SRCS += epicsErrlogTest.c
TESTS += epicsErrlogTest

TESTPROD_HOST += epicsStdioTest
epicsStdioTest_SRCS += epicsStdioTest.c
testHarness_SRCS += epicsStdioTest.c
TESTS += epicsStdioTest

TESTPROD_HOST += epicsStdlibTest
epicsStdlibTest_SRCS += epicsStdlibTest.c
testHarness_SRCS += epicsStdlibTest.c
TESTS += epicsStdlibTest

TESTPROD_HOST += epicsSockResolveTest
epicsSockResolveTest_SRCS += epicsSockResolveTest.c
testHarness_SRCS += epicsSockResolveTest.c
TESTS += epicsSockResolveTest

TESTPROD_HOST += epicsStringTest
epicsStringTest_SRCS += epicsStringTest.c
testHarness_SRCS += epicsStringTest.c
TESTS += epicsStringTest

TESTPROD_HOST += epicsTimeTest
epicsTimeTest_SRCS += epicsTimeTest.cpp
testHarness_SRCS += epicsTimeTest.cpp
TESTS += epicsTimeTest

TESTPROD_HOST += epicsTimeZoneTest
epicsTimeZoneTest_SRCS += epicsTimeZoneTest.c
libComTestHarness_SRCS_RTEMS += epicsTimeZoneTest.c
TESTS += epicsTimeZoneTest

TESTPROD_HOST += epicsThreadTest
epicsThreadTest_SRCS += epicsThreadTest.cpp
testHarness_SRCS += epicsThreadTest.cpp
TESTS += epicsThreadTest

TESTPROD_HOST += epicsThreadClassTest
epicsThreadClassTest_SRCS += epicsThreadClassTest.cpp
testHarness_SRCS += epicsThreadClassTest.cpp
TESTS += epicsThreadClassTest

TESTPROD_HOST += epicsThreadOnceTest
epicsThreadOnceTest_SRCS += epicsThreadOnceTest.c
testHarness_SRCS += epicsThreadOnceTest.c
TESTS += epicsThreadOnceTest

TESTPROD_HOST += epicsThreadPriorityTest
epicsThreadPriorityTest_SRCS += epicsThreadPriorityTest.cpp
testHarness_SRCS += epicsThreadPriorityTest.cpp
TESTS += epicsThreadPriorityTest

TESTPROD_HOST += epicsThreadPrivateTest
epicsThreadPrivateTest_SRCS += epicsThreadPrivateTest.cpp
testHarness_SRCS += epicsThreadPrivateTest.cpp
TESTS += epicsThreadPrivateTest

TESTPROD_HOST += epicsThreadHooksTest
epicsThreadHooksTest_SRCS += epicsThreadHooksTest.c
testHarness_SRCS += epicsThreadHooksTest.c
TESTS += epicsThreadHooksTest

TESTPROD_HOST += epicsThreadPoolTest
epicsThreadPoolTest_SRCS += epicsThreadPoolTest.c
testHarness_SRCS += epicsThreadPoolTest.c
TESTS += epicsThreadPoolTest

TESTPROD_HOST += initHookTest
initHookTest_SRCS += initHookTest.c
testHarness_SRCS += initHookTest.c
TESTS += initHookTest

TESTPROD_HOST += epicsExitTest
epicsExitTest_SRCS += epicsExitTest.c
testHarness_SRCS += epicsExitTest.c
TESTS += epicsExitTest

TESTPROD_HOST += epicsTimerTest
epicsTimerTest_SRCS += epicsTimerTest.cpp
testHarness_SRCS += epicsTimerTest.cpp
TESTS += epicsTimerTest

TESTPROD_HOST += ringPointerTest
ringPointerTest_SRCS += ringPointerTest.c
testHarness_SRCS += ringPointerTest.c
TESTS += ringPointerTest

TESTPROD_HOST += ringBytesTest
ringBytesTest_SRCS += ringBytesTest.c
testHarness_SRCS += ringBytesTest.c
TESTS += ringBytesTest

TESTPROD_HOST += epicsEventTest
epicsEventTest_SRCS += epicsEventTest.cpp
testHarness_SRCS += epicsEventTest.cpp
TESTS += epicsEventTest

TESTPROD_HOST += epicsMutexTest
epicsMutexTest_SRCS += epicsMutexTest.cpp
testHarness_SRCS += epicsMutexTest.cpp
TESTS += epicsMutexTest

TESTPROD_HOST += epicsSpinTest
epicsSpinTest_SRCS += epicsSpinTest.c
testHarness_SRCS += epicsSpinTest.c
TESTS += epicsSpinTest

TESTPROD_HOST += epicsAtomicTest
epicsAtomicTest_SRCS += epicsAtomicTest.cpp
testHarness_SRCS += epicsAtomicTest.cpp
TESTS += epicsAtomicTest

TESTPROD_HOST += macDefExpandTest
macDefExpandTest_SRCS += macDefExpandTest.c
testHarness_SRCS += macDefExpandTest.c
TESTS += macDefExpandTest

TESTPROD_HOST += cvtFastTest
cvtFastTest_SRCS += cvtFastTest.cpp
testHarness_SRCS += cvtFastTest.cpp
TESTS += cvtFastTest

TESTPROD_HOST += macLibTest
macLibTest_SRCS += macLibTest.c
testHarness_SRCS += macLibTest.c
TESTS += macLibTest

TESTPROD_HOST += aslibtest
aslibtest_SRCS += aslibtest.c
testHarness_SRCS += aslibtest.c
TESTS += aslibtest

# Perl module tests:
TESTS += macLib

TESTPROD_HOST += taskwdTest
taskwdTest_SRCS += taskwdTest.c
testHarness_SRCS += taskwdTest.c
TESTS += taskwdTest

TESTPROD_HOST += blockingSockTest
blockingSockTest_SRCS += blockingSockTest.cpp
testHarness_SRCS += blockingSockTest.cpp
TESTS += blockingSockTest

TESTPROD_HOST += epicsMessageQueueTest
epicsMessageQueueTest_SRCS += epicsMessageQueueTest.cpp
testHarness_SRCS += epicsMessageQueueTest.cpp
TESTS += epicsMessageQueueTest

# we need to build this with debug symbols in all configurations
# otherwise the test will not be able to lookup names and so fail
TESTPROD_HOST += epicsStackTraceTest
epicsStackTraceTest_SRCS += epicsStackTraceTest.c
ifneq ($(findstring mingw,$(T_A)),)
epicsStackTraceTest_CFLAGS_WIN32 += -g -O0
epicsStackTraceTest_LDFLAGS_WIN32 += -g
else
epicsStackTraceTest_CFLAGS_WIN32 += -Zi
epicsStackTraceTest_LDFLAGS_WIN32 += -DEBUG
endif
testHarness_SRCS += epicsStackTraceTest.c
TESTS += epicsStackTraceTest

TESTPROD_HOST += ipAddrToAsciiTest
ipAddrToAsciiTest_SRCS += ipAddrToAsciiTest.cpp
testHarness_SRCS += ipAddrToAsciiTest.cpp
TESTS += ipAddrToAsciiTest

TESTPROD_HOST += osiSockTest
osiSockTest_SRCS += osiSockTest.c
testHarness_SRCS += osiSockTest.c
TESTS += osiSockTest

TESTPROD_HOST += testexecname
testexecname_SRCS += testexecname.c
# no point in including in testHarness.  Not implemented for RTEMS/vxWorks.
TESTS += testexecname

ifeq ($(BUILD_CLASS),HOST)
ifneq ($(OS_CLASS),WIN32)
# This test can only be run on a build host, and is broken on Windows
TESTPROD_HOST += yajl_test
yajl_test_SRCS += yajl_test.c
TESTS += yajlTest
endif
endif

TESTPROD_HOST += iocshTest
iocshTest_SRCS += iocshTest.cpp
TESTS += iocshTest
TESTFILES += $(wildcard ../iocshTest*.cmd)

TESTPROD_HOST += epicsLoadTest
epicsLoadTest_SRCS += epicsLoadTest.cpp
# test linked against static libCom?
epicsLoadTest_CPPFLAGS_STATIC_YES = -DLINKING_STATIC
epicsLoadTest_CPPFLAGS += $(epicsLoadTest_CPPFLAGS_STATIC_$(STATIC_BUILD))
# are dynamic libraries built?
epicsLoadTest_CPPFLAGS_SHARED_YES = -DBUILDING_SHARED_LIBRARIES
epicsLoadTest_CPPFLAGS += $(epicsLoadTest_CPPFLAGS_SHARED_$(SHARED_LIBRARIES))
TESTS += epicsLoadTest

# The testHarness runs all the test programs in a known working order.
testHarness_SRCS += epicsRunLibComTests.c

libComTestHarness_SRCS += $(testHarness_SRCS)
libComTestHarness_SRCS_RTEMS += rtemsTestHarness.c

PROD_vxWorks = libComTestHarness
PROD_RTEMS += libComTestHarness

TESTSPEC_vxWorks = libComTestHarness.munch; epicsRunLibComTests
TESTSPEC_RTEMS = libComTestHarness.boot; epicsRunLibComTests

TESTSCRIPTS_HOST += $(TESTS:%=%.t)
ifneq ($(filter $(T_A),$(CROSS_COMPILER_RUNTEST_ARCHS)),)
TESTPROD = $(TESTPROD_HOST)
TESTSCRIPTS += $(filter-out epicsUnitTestTest.t, $(TESTS:%=%.t))
endif


# The following are not test programs, they measure performance.
# They should not be added to TESTS or to epicsRunLibComTests.c

TESTPROD_HOST += epicsThreadPerform
epicsThreadPerform_SRCS += epicsThreadPerform.cpp
testHarness_SRCS += epicsThreadPerform.cpp

TESTPROD_HOST += epicsMaxThreads
epicsMaxThreads_SRCS += epicsMaxThreads.c
testHarness_SRCS += epicsMaxThreads.c

TESTPROD_HOST += buckTest
buckTest_SRCS += buckTest.c
testHarness_SRCS += buckTest.c

#TESTPROD_HOST += fdmgrTest
fdmgrTest_SRCS += fdmgrTest.c
fdmgrTest_LIBS += ca
# FIXME: program never exits.

TESTPROD_HOST += epicsAtomicPerform
epicsAtomicPerform_SRCS += epicsAtomicPerform.cpp
testHarness_SRCS += epicsAtomicPerform.cpp

TESTPROD_HOST += cvtFastPerform
cvtFastPerform_SRCS += cvtFastPerform.cpp
testHarness_SRCS += cvtFastPerform.cpp

ifeq ($(OS_CLASS),Linux)
ifeq ($(USE_POSIX_THREAD_PRIORITY_SCHEDULING),YES)
TESTPROD_HOST += nonEpicsThreadPriorityTest
nonEpicsThreadPriorityTest_SRCS += nonEpicsThreadPriorityTest.cpp
nonEpicsThreadPriorityTest_SYS_LIBS += $(POSIX_LDLIBS:-l%=%)
testHarness_SRCS += nonEpicsThreadPriorityTest.cpp
epicsRunLibComTests_CFLAGS += -DHAVE_PTHREAD_PRIORITY_SCHEDULING
TESTS += nonEpicsThreadPriorityTest
endif
endif

include $(TOP)/configure/RULES

rtemsTestData.c : $(TESTFILES) $(TOOLS)/epicsMakeMemFs.pl
	$(PERL) $(TOOLS)/epicsMakeMemFs.pl $@ epicsRtemsFSImage $(TESTFILES)

epicsLoadTest$(DEP): epicsInstallDir.h

# use INSTALL_LOCATION instead of FINAL_LOCATION since test executables are not installed.
epicsInstallDir.h: $(TOP)/configure/CONFIG_SITE*
	$(ECHO) "INSTALL_LOCATION=$(INSTALL_LOCATION)"
	$(PERL) $(TOP)/modules/database/src/std/softIoc/makeInstallDir.pl "$(INSTALL_LOCATION)" > $@

=== modules/pvAccess/configure/Makefile ===
#*************************************************************************
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************
TOP=..

include $(TOP)/configure/CONFIG

CFG += CONFIG_PVACCESS_VERSION
CFG += CONFIG_PVACCESS_MODULE

TARGETS = $(CONFIG_TARGETS)
CONFIGS += $(subst ../,,$(wildcard $(CONFIG_INSTALLS)))

include $(TOP)/configure/RULES

=== modules/pva2pva/pdbApp/Makefile ===
TOP=..

include $(TOP)/configure/CONFIG
#----------------------------------------
#  ADD MACRO DEFINITIONS AFTER THIS LINE
#=============================

ifeq ($(OS_CLASS),RTEMS)
# set by Base in configure/os/CONFIG.UnixCommon.Common
# then clobbered by included RTEMS make/host.cfg
# to drop the '-p'
MKDIR = mkdir -p
endif

LIBRARY += qsrv

SHRLIB_VERSION ?= $(EPICS_QSRV_ABI_MAJOR_VERSION).$(EPICS_QSRV_ABI_MINOR_VERSION)

USR_CPPFLAGS += -DQSRV_API_BUILDING
USR_CPPFLAGS += -I$(TOP)/common -I$(TOP)/p2pApp

INC += pv/qsrv.h
INC += pv/qsrvVersionNum.h

EXPANDVARS += EPICS_QSRV_MAJOR_VERSION
EXPANDVARS += EPICS_QSRV_MINOR_VERSION
EXPANDVARS += EPICS_QSRV_MAINTENANCE_VERSION
EXPANDVARS += EPICS_QSRV_DEVELOPMENT_FLAG
EXPANDVARS += EPICS_QSRV_ABI_MAJOR_VERSION
EXPANDVARS += EPICS_QSRV_ABI_MINOR_VERSION

EXPANDFLAGS += $(foreach var,$(EXPANDVARS),-D$(var)="$(strip $($(var)))")

qsrv_SRCS += pvif.cpp
qsrv_SRCS += qsrv.cpp
qsrv_SRCS += pdb.cpp
qsrv_SRCS += pdbsingle.cpp
qsrv_SRCS += demo.cpp
qsrv_SRCS += imagedemo.c

ifdef BASE_3_16
qsrv_SRCS += pdbgroup.cpp
qsrv_SRCS += configparse.cpp

qsrv_SRCS += dbf_copy.cpp
qsrv_SRCS += tpool.cpp

qsrv_SRCS += pvalink.cpp
qsrv_SRCS += pvalink_lset.cpp
qsrv_SRCS += pvalink_jlif.cpp
qsrv_SRCS += pvalink_link.cpp
qsrv_SRCS += pvalink_channel.cpp
else

qsrv_SRCS += pvalink_null.cpp
endif

qsrv_LIBS += pvAccess pvData
qsrv_LIBS += $(EPICS_BASE_IOC_LIBS)

FINAL_LOCATION ?= $(shell $(PERL) $(TOOLS)/fullPathName.pl $(INSTALL_LOCATION))

# since we copy softMain.cpp from Base, use the same
# EPICS_BASE macro for our location
USR_CPPFLAGS += -DEPICS_BASE="\"$(FINAL_LOCATION)\""

PROD_IOC += softIocPVA

softIocPVA_SRCS += softMain.cpp
softIocPVA_SRCS += softIocPVA_registerRecordDeviceDriver.cpp

softIocPVA_LIBS += qsrv
softIocPVA_LIBS += $(EPICS_BASE_PVA_CORE_LIBS)
softIocPVA_LIBS += $(EPICS_BASE_IOC_LIBS)

DBD += softIocPVA.dbd
DBD += qsrv.dbd

ifneq ($(FINAL_LOCATION),$(EPICS_BASE))
# Copy from Base if we won't be installed there
DB_INSTALLS += $(EPICS_BASE)/db/softIocExit.db
endif

softIocPVA_DBD += softIoc.dbd
softIocPVA_DBD += PVAServerRegister.dbd
softIocPVA_DBD += qsrv.dbd

#===========================

include $(TOP)/configure/RULES
#----------------------------------------
#  ADD RULES AFTER THIS LINE

# Can't use EXPAND as generated headers must appear
# in O.Common, but EXPAND emits rules for O.$(T_A)
../O.Common/pv/qsrvVersionNum.h: ../pv/qsrvVersionNum.h@
	$(MKDIR) $(COMMON_DIR)/pv
	$(EXPAND_TOOL) $(EXPANDFLAGS) $($@_EXPANDFLAGS) $< $@

qsrv$(DEP): ../O.Common/pv/qsrvVersionNum.h
pvalink$(DEP): ../O.Common/pv/qsrvVersionNum.h

ifdef BASE_3_16
../O.Common/qsrv.dbd: ../qsrv-new.dbd
	$(CP) $< $@
else
../O.Common/qsrv.dbd: ../qsrv-old.dbd
	$(CP) $< $@
endif
qsrv.dbd$(DEP):
	@$(RM) $@
	@echo "$(COMMONDEP_TARGET): ../Makefile" > $@

../O.Common/softIocPVA.dbd: ../O.Common/qsrv.dbd

=== modules/pva2pva/testApp/Makefile ===
TOP=..

include $(TOP)/configure/CONFIG
#----------------------------------------
#  ADD MACRO DEFINITIONS AFTER THIS LINE
#=============================

USR_CPPFLAGS += -I$(TOP)/pdbApp
USR_CPPFLAGS += -I$(TOP)/p2pApp
USR_CPPFLAGS += -I$(TOP)/common

TARGETS += $(COMMON_DIR)/p2pTestIoc.dbd
p2pTestIoc_DBD += base.dbd
# Tests explicitly create/destory PDB provider
#p2pTestIoc_DBD += qsrv.dbd

TARGETS += $(COMMON_DIR)/pvaLinkTestIoc.dbd
pvaLinkTestIoc_DBD += base.dbd
pvaLinkTestIoc_DBD += qsrv.dbd

PROD_SRCS += utilitiesx.cpp
PROD_LIBS += pvAccess pvData
PROD_LIBS += $(EPICS_BASE_IOC_LIBS)

TESTPROD_HOST += testweak
testweak_SRCS += testweak.cpp
testweak_LIBS += Com
TESTS += testweak

TESTPROD_HOST += testtest
testtest_SRCS += testtest.cpp
TESTS += testtest


TESTPROD_HOST += testpvif
testpvif_SRCS += testpvif.cpp
testpvif_SRCS += p2pTestIoc_registerRecordDeviceDriver.cpp
testpvif_LIBS += qsrv
TESTS += testpvif

TESTPROD_HOST += testpdb
testpdb_SRCS += testpdb.cpp
testpdb_SRCS += p2pTestIoc_registerRecordDeviceDriver.cpp
testpdb_LIBS += qsrv
TESTS += testpdb

TESTPROD_HOST += check_consist
check_consist_SRCS += check_consist.cpp

ifdef BASE_3_16
TESTPROD_HOST += testpvalink
testpvalink_SRCS += testpvalink.cpp
testpvalink_SRCS += pvaLinkTestIoc_registerRecordDeviceDriver.cpp
testpvalink_LIBS += qsrv
TESTS += testpvalink

TESTPROD_HOST += testgroupconfig
testgroupconfig_SRCS += testgroupconfig
testgroupconfig_LIBS += qsrv pvAccess pvData
testgroupconfig_LIBS += $(EPICS_BASE_IOC_LIBS)
TESTS += testgroupconfig

TESTPROD_HOST += testdbf_copy
testdbf_copy_SRCS += testdbf_copy
testdbf_copy_LIBS += qsrv pvAccess pvData
testdbf_copy_LIBS += $(EPICS_BASE_IOC_LIBS)
TESTS += testdbf_copy
endif

TESTSCRIPTS_HOST += $(TESTS:%=%.t)


#===========================

include $(TOP)/configure/RULES
#----------------------------------------
#  ADD RULES AFTER THIS LINE

=== modules/pvaClient/src/Makefile ===
# This is a Makefile fragment, see ../Makefile

TOP = ..
include $(TOP)/configure/CONFIG

LIBRARY += pvaClient

# shared library ABI version.
SHRLIB_VERSION ?= $(EPICS_PVACLIENT_MAJOR_VERSION).$(EPICS_PVACLIENT_MINOR_VERSION).$(EPICS_PVACLIENT_MAINTENANCE_VERSION)

INC += pv/pvaClient.h
INC += pv/pvaClientMultiChannel.h

LIBSRCS += pvaClient.cpp
LIBSRCS += pvaClientData.cpp
LIBSRCS += pvaClientPutData.cpp
LIBSRCS += pvaClientGetData.cpp
LIBSRCS += pvaClientMonitorData.cpp
LIBSRCS += pvaClientChannel.cpp
LIBSRCS += pvaClientProcess.cpp
LIBSRCS += pvaClientGet.cpp
LIBSRCS += pvaClientPut.cpp
LIBSRCS += pvaClientMonitor.cpp
LIBSRCS += pvaClientPutGet.cpp
LIBSRCS += pvaClientMultiChannel.cpp
LIBSRCS += pvaClientMultiGetDouble.cpp
LIBSRCS += pvaClientMultiPutDouble.cpp
LIBSRCS += pvaClientMultiMonitorDouble.cpp
LIBSRCS += pvaClientNTMultiPut.cpp
LIBSRCS += pvaClientNTMultiData.cpp
LIBSRCS += pvaClientNTMultiGet.cpp
LIBSRCS += pvaClientNTMultiMonitor.cpp
LIBSRCS += pvaClientRPC.cpp

pvaClient_LIBS += nt
pvaClient_LIBS += $(EPICS_BASE_PVA_CORE_LIBS)
pvaClient_LIBS += $(EPICS_BASE_IOC_LIBS)

include $(TOP)/configure/RULES

=== modules/ca/src/client/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************
CURDIR := $(patsubst %/,%,$(dir $(lastword $(MAKEFILE_LIST))))
TOP = ../../../..

include $(TOP)/configure/CONFIG

HTMLS += CAref.html

#
#	includes to install from this subproject
#
INC += cadef.h
INC += caerr.h
INC += caeventmask.h
INC += caProto.h
INC += db_access.h
INC += addrList.h
INC += cacIO.h
INC += caDiagnostics.h
INC += net_convert.h
INC += caVersion.h

EXPAND_COMMON += caVersion.h@

EXPAND_ME += EPICS_CA_MAJOR_VERSION
EXPAND_ME += EPICS_CA_MINOR_VERSION
EXPAND_ME += EPICS_CA_MAINTENANCE_VERSION
EXPAND_ME += EPICS_CA_DEVELOPMENT_FLAG

LIBSRCS += cac.cpp
LIBSRCS += cacChannel.cpp
LIBSRCS += cacChannelNotify.cpp
LIBSRCS += cacContextNotify.cpp
LIBSRCS += cacReadNotify.cpp
LIBSRCS += cacWriteNotify.cpp
LIBSRCS += cacStateNotify.cpp
LIBSRCS += access.cpp
LIBSRCS += iocinf.cpp
LIBSRCS += convert.cpp
LIBSRCS += test_event.cpp
LIBSRCS += repeater.cpp
LIBSRCS += searchTimer.cpp
LIBSRCS += disconnectGovernorTimer.cpp
LIBSRCS += repeaterSubscribeTimer.cpp
LIBSRCS += baseNMIU.cpp
LIBSRCS += nciu.cpp
LIBSRCS += netiiu.cpp
LIBSRCS += udpiiu.cpp
LIBSRCS += tcpiiu.cpp
LIBSRCS += noopiiu.cpp
LIBSRCS += netReadNotifyIO.cpp
LIBSRCS += netWriteNotifyIO.cpp
LIBSRCS += netSubscription.cpp
LIBSRCS += tcpSendWatchdog.cpp
LIBSRCS += tcpRecvWatchdog.cpp
LIBSRCS += bhe.cpp
LIBSRCS += ca_client_context.cpp
LIBSRCS += oldChannelNotify.cpp
LIBSRCS += oldSubscription.cpp
LIBSRCS += getCallback.cpp
LIBSRCS += getCopy.cpp
LIBSRCS += putCallback.cpp
LIBSRCS += syncgrp.cpp
LIBSRCS += CASG.cpp
LIBSRCS += syncGroupNotify.cpp
LIBSRCS += syncGroupReadNotify.cpp
LIBSRCS += syncGroupWriteNotify.cpp
LIBSRCS += localHostName.cpp
LIBSRCS += comQueRecv.cpp
LIBSRCS += comQueSend.cpp
LIBSRCS += comBuf.cpp
LIBSRCS += hostNameCache.cpp
LIBSRCS += msgForMultiplyDefinedPV.cpp

API_HEADER = libCaAPI.h
ca_API = libCa

LIBRARY=ca

ca_RCS = ca.rc

ca_LIBS = Com

ca_SYS_LIBS_WIN32 = ws2_32 advapi32 user32

#   libs needed for PROD and TESTPRODUCT
PROD_LIBS = ca Com
# needed when its an object library build
PROD_SYS_LIBS_WIN32 = ws2_32 advapi32 user32

PROD_CMD += caRepeater catime acctst caConnTest casw caEventRate

OBJS_vxWorks = catime acctst caConnTest casw caEventRate acctstRegister

caRepeater_SRCS = caRepeater.cpp
catime_SRCS = catimeMain.c catime.c
acctst_SRCS = acctstMain.c acctst.c
caEventRate_SRCS = caEventRateMain.cpp caEventRate.cpp
casw_SRCS = casw.cpp
caConnTest_SRCS = caConnTestMain.cpp caConnTest.cpp

casw_SYS_LIBS_solaris = socket

SCRIPTS_HOST = S99caRepeater
SCRIPTS_Linux = caRepeater.service

EXPAND += S99caRepeater@
EXPAND += caRepeater.service@
EXPAND_VARS = INSTALL_BIN=$(FINAL_LOCATION)/bin/$(T_A)

SRC_DIRS += $(CURDIR)/test
PROD_HOST += ca_test
ca_test_SRCS = ca_test_main.c ca_test.c
ca_test_LIBS  = ca Com
ca_test_SYS_LIBS_WIN32 = ws2_32 advapi32 user32

OBJS_vxWorks += ca_test

# shared library ABI version.
SHRLIB_VERSION = $(EPICS_CA_MAJOR_VERSION).$(EPICS_CA_MINOR_VERSION).$(EPICS_CA_MAINTENANCE_VERSION)

include $(TOP)/configure/RULES

=== modules/ca/src/tools/Makefile ===
#*************************************************************************
# Copyright (c) 2008 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# Copyright (c) 2002 Berliner Elektronenspeicherringgesellschaft fuer
#     Synchrotronstrahlung.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../../../..

include $(TOP)/configure/CONFIG

PROD_CMD = caget camonitor cainfo caput

PROD_SRCS = tool_lib.c

caget_SRCS = caget.c
caput_SRCS = caput.c
camonitor_SRCS = camonitor.c
cainfo_SRCS = cainfo.c

PROD_LIBS = ca Com

include $(TOP)/configure/RULES

=== modules/database/src/ioc/Makefile ===
#*************************************************************************
# Copyright (c) 2007 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************
IOCDIR := $(patsubst %/,%,$(dir $(lastword $(MAKEFILE_LIST))))
TOP = ../../../..

include $(TOP)/configure/CONFIG

USR_CPPFLAGS += -DUSE_TYPED_RSET -DUSE_TYPED_DSET

# Shared library ABI version.
SHRLIB_VERSION = $(EPICS_DATABASE_MAJOR_VERSION).$(EPICS_DATABASE_MINOR_VERSION).$(EPICS_DATABASE_MAINTENANCE_VERSION)

API_HEADER = dbCoreAPI.h
dbCore_API = dbCore

LIBRARY_IOC += dbCore
dbCore_LIBS += ca Com
dbCore_SYS_LIBS_WIN32 += ws2_32

dbCore_RCS += dbCore.rc

EXPAND_COMMON += databaseVersion.h@

EXPAND_ME += EPICS_DATABASE_MAJOR_VERSION
EXPAND_ME += EPICS_DATABASE_MINOR_VERSION
EXPAND_ME += EPICS_DATABASE_MAINTENANCE_VERSION
EXPAND_ME += EPICS_DATABASE_DEVELOPMENT_FLAG

INC += databaseVersion.h

PROD_LIBS = Com

include $(IOCDIR)/as/Makefile
include $(IOCDIR)/bpt/Makefile
include $(IOCDIR)/db/Makefile
include $(IOCDIR)/dbStatic/Makefile
include $(IOCDIR)/dbtemplate/Makefile
include $(IOCDIR)/misc/Makefile
include $(IOCDIR)/registry/Makefile
include $(IOCDIR)/rsrv/Makefile

GENVERSION = epicsVCS.h
GENVERSIONMACRO = EPICS_VCS_VERSION

include $(TOP)/configure/RULES

include $(IOCDIR)/dbStatic/RULES
include $(IOCDIR)/bpt/RULES
include $(IOCDIR)/db/RULES
include $(IOCDIR)/dbtemplate/RULES

epicsRelease$(DEP): $(COMMON_DIR)/$(GENVERSION)

=== debian/changelog ===
epics-base (7.0.7+dfsg1-5) unstable; urgency=medium

  * d/p/0002-skip-expected-failing-test.patch: Updated
    The buildd network configuration is not equivalent to the one from salsa
    So I need to upload in order to discovers these bugs.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 04 Aug 2023 11:59:23 +0200

epics-base (7.0.7+dfsg1-4) unstable; urgency=medium

  * d/rules: skip the flaky tests via the upstream CI variable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 04 Aug 2023 09:26:41 +0200

epics-base (7.0.7+dfsg1-3) unstable; urgency=medium

  *  d/p/0002-skip-expected-failing-test.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2023 17:53:01 +0200

epics-base (7.0.7+dfsg1-2) unstable; urgency=medium

  * source ony upload

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Aug 2023 10:31:16 +0200

epics-base (7.0.7+dfsg1-1) unstable; urgency=medium

  [ Roland Mas ]
  * Add autopkgtests.

  [ Picca Frédéric-Emmanuel ]
  * update the watch file and remove .gitattributes
  * New upstream version 7.0.7+dfsg1

  { Neil Williams]
  * Map the dpkg-buildflags to the EPICS-specific build flags.
  * Overload CFLAGS as EPICS fails to expose CPPFLAGS.
  * Package the documentation, DBD files, perl module, executables and
  * systemd service support to a new epics-base package.
  * Add headers and pkg-config support to new epics-dev package.
  * Retain the existing long library binary package names due to upstream
  * SONAME handling. Add lintian override for the additional libraries in
  * the epics-base binary package.
  * Run the in-build tests in verbose mode to identify which tests fail.
  * Add README files to epics-doc
  * Add README files for EPICS in Debian.
  * Temporarily allow blhc and reprotest to fail due to problems in the unit
  * tests which are vulnerable to environment variables.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 Aug 2023 17:39:11 +0200

epics-base (7.0.3.1-4) unstable; urgency=medium

  * Team upload.
  * Bug fix: "FTBFS without network access", thanks to Sven Mueller
    (Closes: #1016958), with one trivial patch to the test regex and a few
    simple patches skipping tests that require network access.

 -- Roland Mas <lolando@debian.org>  Tue, 07 Mar 2023 15:03:55 +0100

=== debian/control ===
Source: epics-base
Priority: optional
Section: science
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
 Sebastien Delafond <seb@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://epics-controls.org/
Vcs-Browser: https://salsa.debian.org/science-team/epics-base
Vcs-Git: https://salsa.debian.org/science-team/epics-base.git

Package: libca-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libca4.14.2 (= ${binary:Version}), ${misc:Depends}
Description: EPICS channel access client library (headers)
 EPICS is the Experimental Physics and Industrial Control System.
 This is the EPICS library exposing channel access primitives for
 clients.
 .
 This package contains the header files.

Package: libcom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcom3.22.0 (= ${binary:Version}), ${misc:Depends}
Description: EPICS common library (headers)
 EPICS is the Experimental Physics and Industrial Control System.
 Common library used by all other EPICS building blocks.
 .
 This package contains the header files.

Package: libca4.14.2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS channel access client library
 EPICS is the Experimental Physics and Industrial Control System.
 This is the EPICS library exposing channel access primitives for
 clients.

Package: libcom3.22.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS common library
 EPICS is the Experimental Physics and Industrial Control System.
 Common library used by all other EPICS building blocks.

Package: epics-dev
Section: devel
Architecture: amd64 arm64
Depends:
 libcom-dev (= ${binary:Version}),
 libca-dev (= ${binary:Version}),
 ${misc:Depends}
Description: EPICS header files
 EPICS is the Experimental Physics and Industrial Control System.
 .
 This package includes the header files for EPICS.

# dbd/ bin/
Package: epics-base
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS tools
 EPICS is the Experimental Physics and Industrial Control System.
 This package provides an extensible set of software components and tools
 with which application developers can create an industrial control system.
 This control system can be used to control accelerators, detectors,
 telescopes, or other scientific experimental equipment.
 .
 epics-base allows an arbitrary number of target systems, IOCs
 (input/output controllers), and host systems, OPIs (operator interfaces) of
 various types.
 .
 This package includes:
   Database Core Library for EPICS
   Record and Soft Device Support Library for EPICS
   caRepeater service
   DBD files

# html & documentation & READMEs
Package: epics-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Description: EPICS documentation
 EPICS is the Experimental Physics and Industrial Control System.
 This control system can be used to control accelerators, detectors,
 telescopes, or other scientific experimental equipment.
 .
 This package contains the upstream documentation.

# lib/perl/
Package: libepics-perl
Section: perl
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: EPICS perl module
 EPICS is the Experimental Physics and Industrial Control System.
 .
 This package contains the EPICS Perl module, including the libcap
 perl binding library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

REL_LIB_DIR := lib/$(shell perl $(CURDIR)/src/tools/EpicsHostArch.pl)
BIN_DIR := bin/$(shell perl $(CURDIR)/src/tools/EpicsHostArch.pl)
LIB_DIR = $(CURDIR)/$(REL_LIB_DIR)

# map dpkg flags to custom EPICS internal flags, of which only CFLAGS are actioned.
export POSIX_CFLAGS+=$(CFLAGS)
export POSIX_CFLAGS+=$(CPPFLAGS)
export POSIX_CPPFLAGS+=$(CPPFLAGS)
export POSIX_LDFLAGS+=$(LDFLAGS)
# show the names of the tests to aid with failures
export HARNESS_VERBOSE=1

export LD_LIBRARY_PATH := $(LIB_DIR):$(LD_LIBRARY_PATH)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) LINKER_USE_RPATH=NO

override_dh_auto_install:
	$(MAKE) install

override_dh_auto_test:
	$(MAKE) runtests CI=1

override_dh_install:
	dh_perl libepics-perl usr/lib/epics/
	dh_install
	dh_install -plibepics-perl lib/perl/* ./usr/lib/$(DEB_HOST_MULTIARCH)/epics/
	$(RM) debian/libepics-perl/usr/lib/$(DEB_HOST_MULTIARCH)/epics/EpicsHostArch.pl
	dh_install -pepics-base   $(REL_LIB_DIR)/libdbCore.so.*      usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev    $(REL_LIB_DIR)/libdbCore.so        usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-base   $(REL_LIB_DIR)/libdbRecStd.so.*    usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev    $(REL_LIB_DIR)/libdbRecStd.so      usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-base   $(REL_LIB_DIR)/libpvAccess.so.*    usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-base   $(REL_LIB_DIR)/libpvAccessCA.so.*  usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-base   $(REL_LIB_DIR)/libpvData.so.*      usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev    $(REL_LIB_DIR)/libpvAccess.so      usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev    $(REL_LIB_DIR)/libpvAccessCA.so    usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev    $(REL_LIB_DIR)/libpvData.so        usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibca4.14.2  $(REL_LIB_DIR)/libca.so.*          usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibca-dev    $(REL_LIB_DIR)/libca.so            usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibcom3.22.0 $(REL_LIB_DIR)/libCom.so.*         usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibcom-dev   $(REL_LIB_DIR)/libCom.so           usr/lib/$(DEB_HOST_MULTIARCH)

## epics-base 7.0.8+dfsg1

=== debian/changelog ===
epics-base (7.0.8+dfsg1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: remove myself from uploaders

  [ Andrius Merkys ]
  * Fix pkgconfig file location in epics-dev binary package.
  * Bug fix: "epics-base.pc is broken in epics-dev package", thanks to
    Matwey V. Kornilov (Closes: #1059706).

  [ Picca Frédéric-Emmanuel ]
  * New upstream release.
  * Bug fix: "FTBFS on amd64, arm64", thanks to Chris Hofstaedtler
    (Closes: #1060260).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Mar 2024 13:32:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
- Sebastien Delafond <seb@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2

## epics-base 7.0.8.1%2Bdfsg1

=== modules/pvAccess/testApp/Makefile ===
# Makefile for the pvAccess tests

TOP = ..
include $(TOP)/configure/CONFIG

USR_CPPFLAGS += -I$(TOP)/src/utils
USR_CPPFLAGS += -I$(TOP)/src/server
USR_CPPFLAGS += -I$(TOP)/src/remote
USR_CPPFLAGS += -I$(TOP)/src/remoteClient

PVACCESS_TEST = $(TOP)/testApp

PROD_LIBS += pvAccess pvData Com
PROD_SYS_LIBS_WIN32 += netapi32 ws2_32

include $(PVACCESS_TEST)/utils/Makefile
include $(PVACCESS_TEST)/remote/Makefile

PROD_SRCS_RTEMS += rtemsTestData.c

# pvAccessAllTests runs all the test programs in a known working order.
testHarness_SRCS += pvAccessAllTests.c

# Name the application pvaTestHarness
pvaTestHarness_SRCS = $(testHarness_SRCS)

# Build for vxWorks
PROD_vxWorks = pvaTestHarness
TESTSPEC_vxWorks = pvaTestHarness.$(MUNCH_SUFFIX); pvAccessAllTests

# Build for RTEMS, with harness code & configuration
PROD_RTEMS += pvaTestHarness
pvaTestHarness_SRCS_RTEMS += rtemsTestHarness.c
TESTSPEC_RTEMS = pvaTestHarness.$(MUNCH_SUFFIX); pvAccessAllTests

# Build test scripts for hosts
TESTSCRIPTS_HOST += $(TESTS:%=%.t)

ifneq ($(filter $(T_A),$(CROSS_COMPILER_RUNTEST_ARCHS)),)
TESTPROD = $(TESTPROD_HOST)
TESTSCRIPTS += $(filter-out showauth,$(TESTS:%=%.t))
endif

include $(TOP)/configure/RULES

=== modules/libcom/src/dbmf/Makefile ===
#*************************************************************************
# Copyright (c) 2010 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution. 
#*************************************************************************

# This is a Makefile fragment, see src/libCom/Makefile.

SRC_DIRS += $(LIBCOM)/dbmf
INC += dbmf.h
Com_SRCS += dbmf.c
